D-I on 16.04.1 breaks on usb probe and networking setup on secureboot

Bug #1604441 reported by Dave Morley on 2016-07-19
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
debian-installer (Ubuntu)
Critical
Adam Conrad
Trusty
Critical
Adam Conrad
Xenial
Critical
Adam Conrad

Bug Description

On both netboot mini.iso and ubuntu server the installer fails probing usb and then fails to setup networking, for netboot this means you can not continue the install.

Only happen on Securebot with just uefi it works fine.

This is a critical fix required for 16.04.1

Dave Morley (davmor2) on 2016-07-19
Changed in debian-installer (Ubuntu):
importance: Undecided → Critical
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
tags: added: qa-manual-testing
Dave Morley (davmor2) on 2016-07-19
summary: - D-I on 16.04.1 breaks on usb probe and networking setup
+ D-I on 16.04.1 breaks on usb probe and networking setup on secureboot
description: updated
Adam Conrad (adconrad) on 2016-07-19
Changed in debian-installer (Ubuntu):
assignee: Mathieu Trudel-Lapierre (cyphermox) → Adam Conrad (adconrad)
Changed in debian-installer (Ubuntu Xenial):
assignee: nobody → Adam Conrad (adconrad)

Hello Dave, or anyone else affected,

Accepted debian-installer into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/debian-installer/20101020ubuntu451.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in debian-installer (Ubuntu):
status: New → Fix Committed
Changed in debian-installer (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu466

---------------
debian-installer (20101020ubuntu466) yakkety; urgency=medium

  * Strop stripping modules; it removes the signatures (LP: #1604441)

 -- Adam Conrad <email address hidden> Tue, 19 Jul 2016 10:48:11 -0600

Changed in debian-installer (Ubuntu):
status: Fix Committed → Fix Released
Adam Conrad (adconrad) wrote :

The version in -proposed can load modules correctly again.

tags: added: verification-done-xenial
removed: verification-needed
Dave Morley (davmor2) wrote :

Successfully install ubuntu desktop from mini.iso using the image that Infinity provided me with

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu451.4

---------------
debian-installer (20101020ubuntu451.4) xenial; urgency=medium

  * Strop stripping modules; it removes the signatures (LP: #1604441)

 -- Adam Conrad <email address hidden> Tue, 19 Jul 2016 10:32:57 -0600

Changed in debian-installer (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for debian-installer has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Hello Dave, or anyone else affected,

Accepted debian-installer into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/debian-installer/20101020ubuntu318.40 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in debian-installer (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
Changed in debian-installer (Ubuntu Trusty):
importance: Undecided → Critical
Changed in debian-installer (Ubuntu Xenial):
importance: Undecided → Critical
Dave Morley (davmor2) wrote :

I can check on this tomorrow if nobody else has

Dave Morley (davmor2) wrote :

Confirmed with the proposed server image that I can get passed the place of breakage on trusty.

Everything looks good.

tags: added: verification-done-trusty
removed: verification-needed
Adam Conrad (adconrad) on 2016-07-27
Changed in debian-installer (Ubuntu Trusty):
assignee: nobody → Adam Conrad (adconrad)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu318.40

---------------
debian-installer (20101020ubuntu318.40) trusty; urgency=medium

  * Stop stripping modules; it removes the signatures (LP: #1604441)
  * Move master kernels to 3.13.0-92.
  * Move keystone kernels to 3.13.0-63.
  * Move lts-utopic kernels to 3.16.0-77.
  * Move lts-vivid kernels to 3.19.0-65.
  * Move lts-wily kernels to 4.2.0-42.
  * Move lts-xenial kernels to 4.4.0-31.

 -- Adam Conrad <email address hidden> Mon, 25 Jul 2016 13:28:11 -0600

Changed in debian-installer (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers